package remote.demo.Native.PeerSDK.Peer.Stream;

import remote.demo.Native.NativeBaseObject;
import remote.demo.Native.NativeObject;
import remote.demo.Native.NativeBaseObject.VideoArrivedEventListener;


public class PeerStream extends NativeBaseObject {

	protected  native void nativeInit();
	
	@Override
	protected native void nativeRelease();

	public PeerStream() {
		super();
		nativeInit();
	}

	public void release() {
		nativeRelease();
	}
	

	@Override
	protected native void addVideoArrivedEventListener(VideoArrivedEventListener l);

	/**
	 * @name Methods
	 */
	public native boolean start();
	

	
	/**
	 * Delete the <b>PeerStream</b> instance.
	 * @return  A value that represents the error.
	 */
	public native boolean dispose();
	

	
	/**
	 * @name Events
	 */
	public void videoArrived() {}

}
